<br />
<div class="offset">
  <mat-form-field>
    <mat-label>Search a Project</mat-label>
    <input matInput [(ngModel)]="searchProject" autocomplete="off" placeholder="Search by name, description, goals or skills" #input>
  </mat-form-field>
  <br />
  <br />
  <div class="content" fxLayoutGap="16px grid">
    <div [fxFlex]="(100/gridColumns) + '%'" fxFlex="350px" fxFlex.xs="100%" fxFlex.sm="33%"
      *ngFor="let project of searchableProjects | filter:searchProject">
      <mat-card class="mat-elevation-z4">
        <!-- <mat-card-header>
          <mat-card-title>{{project.name}}</mat-card-title>
        </mat-card-header> -->
        <img mat-card-image [src]="project.icon">
        <mat-card-content>
          <h3>Project: {{project.name}}</h3>
          <p>
            
          </p>
          <h3>Description</h3>
          <p>
            {{project.description}}
          </p>
          <h3>Our Goals</h3>
          <p>
            {{project.goals}}
          </p>
          <h3>Looking for</h3>
          <p>
            {{project.skills}}
          </p>
        </mat-card-content>
        <mat-card-actions>
          <button mat-button (click)="join(project)">
            <mat-icon>person_add</mat-icon>
            Join
          </button>
          <button mat-button matBadge={{project.numberOfLikes.length}} matBadgePosition="before" matBadgeColor="accent" [disabled]="project.canLike === false"
            (click)="like(project)">
            <mat-icon>thumb_up</mat-icon>
            Like
          </button>
          <button mat-button>
            <mat-icon>link</mat-icon>
            <a [href]="project.url" target="_blank"> GitLab </a>
          </button>
          <span *ngIf="project.api">
            <button mat-button>
              <mat-icon>link</mat-icon>
              <a [href]="project.api" target="_blank"> APIs </a>
            </button>
          </span>
        </mat-card-actions>
      </mat-card>
    </div>
  </div>
</div>